VIGRA - VIGRA: YPrimeUV2RGBPrimeFunctor Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| YPrimeUV2RGBPrimeFunctor [Color Space Conversions] |

Convert Y'UV color components into non-linear (gamma corrected) R'G'B'. More...

`#include <vigra/colorconversions.hxx>`

List of all members.

## Public Types
typedef TinyVector< T, 3 > | argument_type
typedef RGBValue< T > | result_type
typedef RGBValue< T > | value_type
## Public Member Functions
template<class V>
result_type | operator() (V const &yuv) const
| YPrimeUV2RGBPrimeFunctor (component_type max)
| YPrimeUV2RGBPrimeFunctor ()

## Detailed Description

### template<class T>
class vigra::YPrimeUV2RGBPrimeFunctor< T >

Convert Y'UV color components into non-linear (gamma corrected) R'G'B'.

#include <vigra/colorconversions.hxx>
Namespace: vigra

The functor realizes the inverse of the transformation described in vigra::RGBPrime2YPrimeUVFunctor

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

Examples:

  palette.cxx.

## Member Typedef Documentation

typedef TinyVector<T, 3> argument_type

the functor's argument type. (Actually, the argument type can be any vector type with the same interface. But this cannot be expressed in a typedef.)

typedef RGBValue<T> result_type

the functor's result type

typedef RGBValue<T> value_type

Deprecated:
  use argument_type and result_type

## Constructor & Destructor Documentation

YPrimeUV2RGBPrimeFunctor | ( |  | ) |

default constructor. The maximum value for each RGB component defaults to 255.

YPrimeUV2RGBPrimeFunctor | ( | component_type | max | ) |

constructor

- max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | yuv | ) | const

apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)